<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!-- 
IGAC proyecto SNC
@author        juan.agudelo
@version        2.0
@cu             CU-CO-E-03
@description    Pantalla que realiza la asociación de nuevos trámites.
@modified       lorena.salamanca Se actualiza para la migracion de PrimeFaces 3.2

@modified       leidy.gonzalez:: #17070:: 16/05/2016:: Se agrega ajax en para limpiar campos seleccionados en el
cambio de Tab
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                xmlns:tramite="http://java.sun.com/jsf/composite/tramite"
                xmlns:fn="http://java.sun.com/jsp/jstl/functions"
                template="/templates/generalCU.xhtml">


    <ui:define name="title">.::Sistema Nacional Catastral::. .::Asociar trámites nuevos::.</ui:define>
    <ui:define name="content">

        <h:panelGrid>
            <p:ajaxStatus onstart="statusDialog2.show();"
                          onsuccess="statusDialog2.hide();" onerror="statusDialog2.hide();" />
            <p:focus />
            <p:messages id="msgsATN" showDetail="false" globalOnly="false" />

            <tramite:tramiteResumen id="tabsgridI"
                                    tramiteParam="#{ejecucion.tramiteSeleccionado}"
                                    muestraClasificacionParam="true" muestraFechaRadicacionParam="true"
                                    muestraDepartamentoParam="true" muestraMunicipioParam="true"
                                    muestraFechaSolicitudParam="true" />

            <h:form id="detalleSolicitarPruebasForm">
                <h:panelGrid id="detalleSolicitarPP" columns="1" cellspacing="7">

                    <p:panel rendered="#{ejecucion.banderaAsociarDocumentos and !ejecucion.banderaVerDetalleTramiteEjecucion}">
                        <h:outputText value="#{ejecucion.mensajeCancelaTramite}"/>
                    </p:panel>

                    <p:fieldset id="datosSP" legend="Trámites asociados"
                                toggleable="true" toggleSpeed="500"> 

                        <h:panelGrid rendered="#{!ejecucion.tramiteSeleccionado.revisionAvaluo and !ejecucion.tramiteSeleccionado.cuarta}"> 
                            <p:separator rendered="#{!ejecucion.banderaAsociarDocumentos}" />
                            <h:panelGrid id="panelCancelacionTramite" columns="5"
                                         cellspacing="7" rendered="#{!ejecucion.banderaAsociarDocumentos}">

                                <h:outputLabel value="Cancelar trámite inicial: "
                                               styleClass="outputLabelStyle" />
                                <h:selectOneMenu id="cancelarTramiteInicial"
                                                 value="#{ejecucion.cancelarTramite}">
                                    <f:selectItems value="#{general.siNo}" />
                                    <p:ajax update=":msgsATN,panelCancelacionTramite,:detalleSolicitarPruebasForm" process="@this"
                                            listener="#{ejecucion.seleccionaCancelarTramite}" />
                                </h:selectOneMenu>

                                <p:spacer height="0" width="7" />

                                <h:panelGrid columns="2"
                                             rendered="#{ejecucion.cancelarTramite eq 'SI'}">
                                    <h:outputLabel value="Motivo de la cancelación: "
                                                   styleClass="outputLabelStyle" />
                                    <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                                </h:panelGrid>
                                <h:panelGrid columns="2"
                                             rendered="#{ejecucion.cancelarTramite eq 'SI'}">
                                    <h:inputTextarea id="motivoCancelacion" 
                                                     value="#{ejecucion.motivoCancelacion}" cols="60" rows="3" />
                                    <p:message for="motivoCancelacion" display="icon" />
                                </h:panelGrid>

                            </h:panelGrid>

                            <p:separator rendered="#{!ejecucion.banderaAsociarDocumentos}" />
                        </h:panelGrid>

                        <h:panelGrid id="panelResumenTramitesNuevos" columns="2"
                                     cellspacing="7" rendered="#{ejecucion.habilitarTramitesAdicionales}">

                            <p:dataTable value="#{ejecucion.tramiteTramites}"
                                         var="tramiteTramite" id="solicitudTramitesTableD2"
                                         widgetVar="tramiteTramitesTableWV"
                                         emptyMessage="No se encontraron trámites asociados al trámite"
                                         rendered="#{!ejecucion.banderaAsociarDocumentos}"
                                         rowKey="#{tramiteTramite.id}">

                                <f:facet name="header">  
                                    Trámites
                                </f:facet>

                                <p:column>
                                    <f:facet name="header">
                                        <h:outputText value="Opciones" />
                                    </f:facet>
                                    <p:commandButton title="Quitar de la lista"
                                                     icon="ui-icon-trash"
                                                     action="#{ejecucion.removerTramiteDeTramiteTramites}"
                                                     update=":detalleSolicitarPruebasForm:panelResumenTramitesNuevos" 
                                                     immediate="true"
                                                     rendered="#{!ejecucion.banderaAsociarDocumentos}">
                                        <f:setPropertyActionListener value="#{tramiteTramite}"
                                                                     target="#{ejecucion.tramiteTramiteSeleccionado}" />
                                    </p:commandButton>

                                    <p:commandButton title="Editar trámite" icon="ui-icon-pencil"
                                                     update=":nuevoTramiteSolForm" id="editarTramiteBtn" action="#{ejecucion.editableMode}"
                                                     oncomplete="adicionarTramiteTramiteWV.show()" immediate="true"
                                                     rendered="#{!ejecucion.banderaAsociarDocumentos}">
                                        <f:setPropertyActionListener value="#{tramiteTramite}"
                                                                     target="#{ejecucion.tramiteTramiteSeleccionado}" />
                                    </p:commandButton>
                                </p:column>

                                <p:column>
                                    <f:facet name="header">
                                        Tipo de trámite
                                    </f:facet>

                                    <h:outputText
                                        value="#{tramiteTramite.tipoTramiteCadenaCompleto}"
                                        id="TramiteTipoTramiteV" />

                                </p:column>

                                <p:column>
                                    <f:facet name="header">
                                        Orden 
                                    </f:facet>

                                    <h:selectOneMenu id="orden"
                                                     label="Orden de ejecución de trámites"
                                                     value="#{tramiteTramite.ordenEjecucion}">
                                        <f:selectItems value="#{ejecucion.ordenEjecucionTramites}" />
                                        <p:ajax immediate="false" update="solicitudTramitesTableD2" />
                                    </h:selectOneMenu>

                                </p:column>
                            </p:dataTable>

                            <p:dataTable value="#{ejecucion.tramiteTramites}"
                                         var="tramiteTramite" id="solicitudTramitesTableDL"
                                         widgetVar="tramiteTramitesTableWV"
                                         emptyMessage="No se encontraron trámites asociados al trámite"
                                         selection="#{ejecucion.tramitesTramiteSeleccionados}"
                                         rendered="#{ejecucion.banderaAsociarDocumentos}"
                                         rowKey="#{tramiteTramite.ordenEjecucion}">

                                <f:facet name="header">  
                                    Trámites
                                </f:facet>

                                <p:column selectionMode="multiple" />
                                <p:column>
                                    <f:facet name="header">
                                        <h:outputText value="Opciones" />
                                    </f:facet>

                                    <p:spacer height="0" width="12" />

                                    <p:commandButton title="Detalle del trámite"
                                                     icon="ui-icon-search" update=":detalleTramiteEjecutarForm"
                                                     id="editarTramiteBtn2"
                                                     oncomplete="detalleTramiteEjecutarWV.show()"
                                                     rendered="#{ejecucion.banderaAsociarDocumentos and ejecucion.banderaVerDetalleTramiteEjecucion}">
                                        <f:setPropertyActionListener value="#{tramiteTramite}"
                                                                     target="#{vistaDetallesTramite.selectedTramiteForDetailsChecking}" />
                                    </p:commandButton> 

                                    <p:commandButton title="Detalle del trámite"
                                                     icon="ui-icon-search" update="solicitudTramitesTableDL, :nuevoTramiteSolForm"
                                                     id="editarTramiteBtn3" action="#{ejecucion.consultarDatosARectificarPorTramiteSeleccionado}" 
                                                     oncomplete="adicionarTramiteTramiteWV.show()" immediate="true"
                                                     rendered="#{ejecucion.banderaAsociarDocumentos and !ejecucion.banderaVerDetalleTramiteEjecucion}">
                                        <f:setPropertyActionListener value="#{tramiteTramite}"
                                                                     target="#{ejecucion.tramiteTramiteSeleccionado}" />
                                        <f:setPropertyActionListener value="#{true}"
                                                                     target="#{ejecucion.banderaVerTramitePorAsociar}" />
                                    </p:commandButton>
                                </p:column>

                                <p:column>
                                    <f:facet name="header">
                                        Tipo de trámite
                                    </f:facet>

                                    <h:outputText
                                        value="#{tramiteTramite.tipoTramiteCadenaCompleto}" />
                                </p:column>

                                <p:column>
                                    <f:facet name="header">
                                        Orden del trámite
                                    </f:facet>
                                    <h:outputText value="#{tramiteTramite.ordenEjecucion}" />
                                </p:column>

                                <p:column>
                                    <f:facet name="header">
                                        Documentación asociada
                                    </f:facet>

                                    <p:commandLink oncomplete="solicitarDocumentacionWV.show()"
                                                   update=":solicitarDocumentacionForm, :solicitarDocumentacionForm:documentosAdicionales, solicitudTramitesTableDL, :nuevoTramiteSolForm">

                                        <f:setPropertyActionListener target="#{ejecucion.tramiteTramiteSeleccionado}" 
                                                                     value="#{tramiteTramite}" />
                                        <h:outputText id="documentosAsociados" style="width:150px"
                                                      styleClass="commandLinkStyle"
                                                      value="#{fn:length(tramiteTramite.tramiteDocumentacions)}" />
                                        <f:setPropertyActionListener value="false"
                                                                     target="#{ejecucion.verSolicitudDocsBool}"/>
                                    </p:commandLink>

                                </p:column>
                            </p:dataTable>

                            <p:outputPanel id="btnsPanelSolictarPruebas" layout="block"
                                           style="text-align: center;"
                                           rendered="#{!ejecucion.banderaAsociarDocumentos}">

                                <p:spacer height="0" width="150"
                                          rendered="#{!ejecucion.banderaAsociarDocumentos}" />

                                <p:commandButton value="Adicionar trámite nuevo" process="@this,motivoCancelacion"
                                                 icon="ui-icon-document" ajax="true"
                                                 oncomplete="adicionarTramiteTramiteWV.show()"
                                                 action="#{ejecucion.adicionarTramiteNuevo}"
                                                 update=":msgsATN, :nuevoTramiteSolForm"
                                                 rendered="#{!ejecucion.banderaAsociarDocumentos}">
                                    <f:setPropertyActionListener value="2"
                                                                 target="#{consultaPredio.listenerMethodIdentifier}" />

                                </p:commandButton>
                                <p:spacer height="10" width="8"
                                          rendered="#{!ejecucion.banderaAsociarDocumentos}" />

                                <p:commandButton value="Asociar documentación"
                                                 icon="ui-icon-disk" ajax="true" update=":msgsATN"
                                                 disabled="#{fn:length(ejecucion.tramiteTramites) eq 0}"
                                                 action="#{ejecucion.guardarTramites}"
                                                 oncomplete="handleCompleteSIC(xhr, status, args, guardarConfirmationWV, true);" />

                                <p:spacer height="10" width="8"
                                          rendered="#{!ejecucion.banderaAsociarDocumentos}" />

                                <p:spacer height="10" width="35"
                                          rendered="#{!ejecucion.banderaAsociarDocumentos}" />

                            </p:outputPanel>
                        </h:panelGrid>


                    </p:fieldset>
                    <p:fieldset id="documentosT" style="border:0px;"
                                rendered="#{ejecucion.banderaAsociarDocumentos and not empty ejecucion.tramiteTramites}">

                        <p:tabView dynamic="true" cache="true" id="tabViewDocumentacion"
                                   rendered="#{ejecucion.banderaAsociarDocumentos}">

                            <p:ajax event="tabChange"
                                    listener="#{ejecucion.onTabChangeDocumentos}"
                                    update="tblDocumentacionTram, tblDocumentosAd" />

                            <p:tab id ="tblDocumentacionTramTab" title="Resumen de documentación">

                                <p:dataTable var="documentacionTramite"
                                             id="tblDocumentacionTram" widgetVar="documentosRequeridosWV"
                                             paginatorPosition="bottom" paginator="true" rows="10"
                                             value="#{ejecucion.tramiteSeleccionado.tramiteDocumentacions}"
                                             paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                             rowsPerPageTemplate="5,10,15"
                                             selection="#{ejecucion.documentacionAportada}"
                                             emptyMessage="No existe documentación requerida"
                                             rowKey="#{documentacionTramite.id}">

                                    <p:column selectionMode="multiple" />

                                    <p:column>
                                        <f:facet name="header">
                                            Aportado
                                        </f:facet>
                                        <h:outputText styleClass="outputTextStyle"
                                                      value="#{documentacionTramite.aporta ? 'Si' : 'No'}" />
                                    </p:column>

                                    <p:column>
                                        <f:facet name="header">
                                            Radicado en  <br />
                                            correspondencia
                                        </f:facet>
                                        <h:outputText styleClass="outputTextStyle"
                                                      value="#{documentacionTramite.documentoSoporte.fechaRadicacion}">
                                            <f:convertDateTime pattern="#{general.formatoFecha}" />
                                        </h:outputText>
                                    </p:column>

                                    <p:column>
                                        <f:facet name="header">
                                            Fecha de  <br />
                                            correspondencia
                                        </f:facet>
                                        <h:outputText styleClass="outputTextStyle"
                                                      value="#{documentacionTramite.documentoSoporte.fechaDocumento}">
                                            <f:convertDateTime pattern="#{general.formatoFecha}" />
                                        </h:outputText>
                                    </p:column>

                                    <p:column>
                                        <f:facet name="header">
                                            Tipo documento
                                        </f:facet>
                                        <h:outputText styleClass="outputTextStyle"
                                                      value="#{documentacionTramite.tipoDocumento.clase}" />
                                    </p:column>

                                    <p:column>
                                        <f:facet name="header">
                                            Detalle
                                        </f:facet>
                                        <h:outputText styleClass="outputTextStyle"
                                                      value="#{documentacionTramite.detalle}" />
                                    </p:column>

                                    <p:column>
                                        <f:facet name="header">
                                            Folios
                                        </f:facet>
                                        <h:outputText styleClass="outputTextStyle"
                                                      value="#{documentacionTramite.cantidadFolios}" />
                                    </p:column>
                                    <p:column>
                                        <f:facet name="header">
                                            Documento soporte
                                        </f:facet>

                                        <p:commandLink
                                            value="#{documentacionTramite.documentoSoporte.archivo}"
                                            update=":docViewer:docViewerCCForm" styleClass="commandLinkStyle"
                                            oncomplete="docViewerWV.show();statusDialog2.hide()"
                                            onstart="statusDialog2.show()"
                                            action="#{vistaDetallesTramite.cargarDocumentoTemporalPrev}"
                                            rendered="#{!documentacionTramite.documentoSoporte.archivoADescargar}">
                                            <f:setPropertyActionListener
                                                target="#{previsualizacionDocumento.documentoAlfresco}"
                                                value="#{documentacionTramite.documentoSoporte}" />
                                            <f:setPropertyActionListener
                                                target="#{vistaDetallesTramite.selectedTramiteDocumentacion}"
                                                value="#{documentacionTramite}" />			
                                        </p:commandLink>

                                    </p:column>

                                </p:dataTable>
                            </p:tab>

                            <p:tab id ="tblDocumentosAdTab" title="Documentación adicional">

                                <h:panelGrid columns="1" width="100%">

                                    <p:dataTable var="documentoAdicional" id="tblDocumentosAd"
                                                 widgetVar="documentoAdicionalWV" paginatorPosition="bottom"
                                                 paginator="true" rows="10"
                                                 value="#{ejecucion.documentacionAdicional}"
                                                 paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                                 rowsPerPageTemplate="5,10,15"
                                                 selection="#{ejecucion.documentacionAdicionalS}"
                                                 emptyMessage="No existen documentos adicionales aportados"
                                                 rowKey="#{documentoAdicional.idTemporal}">

                                        <p:column selectionMode="multiple" />
                                        <p:column>
                                            <f:facet name="header">
                                                Opciones
                                            </f:facet>
                                            <p:commandButton update=":detalleSolicitarPruebasForm, :documentacionForm"
                                                             oncomplete="documentacionWV.show()"
                                                             id="editarDocumentacionAdicional" icon="ui-icon-pencil"
                                                             title="Editar">
                                                <f:setPropertyActionListener value="#{documentoAdicional}"
                                                                             target="#{ejecucion.documentoSeleccionado}" />
                                                <f:setPropertyActionListener value="true"
                                                                             target="#{ejecucion.banderaDocumentoAdicional}" />
                                                <f:setPropertyActionListener value="true"
                                                                             target="#{ejecucion.banderaEditandoDocumentoAdicional}" />
                                            </p:commandButton>
                                            <p:commandButton
                                                update=":detalleSolicitarPruebasForm"
                                                action="#{ejecucion.eliminarDocumentacionAdicional}"
                                                icon="ui-icon-trash" title="Eliminar"> 
                                                <f:setPropertyActionListener value="#{documentoAdicional}"
                                                                             target="#{ejecucion.documentoSeleccionado}" />
                                            </p:commandButton>
                                        </p:column>

                                        <p:column>
                                            <f:facet name="header">
                                                Tipo documento
                                            </f:facet>

                                            <h:outputText styleClass="outputTextStyle"
                                                          id="TipoDocumentoV-2"
                                                          value="#{documentoAdicional.tipoDocumento.id}">
                                                <f:converter converterId="converterCB"
                                                             for="TipoDocumentoV-2" />
                                            </h:outputText>

                                        </p:column>

                                        <p:column>
                                            <f:facet name="header">
                                                Detalle
                                            </f:facet>
                                            <h:outputText styleClass="outputTextStyle"
                                                          value="#{documentoAdicional.detalle}" />
                                        </p:column>

                                        <p:column>
                                            <f:facet name="header">
                                                Folios
                                            </f:facet>
                                            <h:outputText styleClass="outputTextStyle"
                                                          value="#{documentoAdicional.cantidadFolios}" />
                                        </p:column>
                                        <p:column>
                                            <f:facet name="header">
                                                Documento soporte
                                            </f:facet>

                                            <p:commandLink id="downloadLink"
                                                           styleClass="commandLinkStyle"
                                                           value="#{documentoAdicional.documentoSoporte.archivo}1"
                                                           ajax="false" process="@this"
                                                           rendered="#{documentoAdicional.documentoSoporte.archivoADescargar}">

                                                <f:setPropertyActionListener
                                                    value="#{documentodocumentoAdicional}"
                                                    target="#{managedBeanParam.documentoSeleccionado}" />
                                                <p:fileDownload value="#{managedBeanParam.fileTempDownload}" />
                                            </p:commandLink>

                                            <p:commandLink
                                                value="#{documentoAdicional.documentoSoporte.archivo}"
                                                update=":docViewer:docViewerCCForm"
                                                styleClass="commandLinkStyle"
                                                oncomplete="docViewerWV.show();statusDialog2.hide()"
                                                onstart="statusDialog2.show()"
                                                action="#{gestionarSolicitudes.cargarDocumentoTemporalPrev}"
                                                rendered="#{!documentoAdicional.documentoSoporte.archivoADescargar}">
                                                <f:setPropertyActionListener
                                                    target="#{previsualizacionDocumento.documentoTemporal}"
                                                    value="#{documentoAdicional.documentoSoporte}" />
                                                <f:setPropertyActionListener
                                                    target="#{gestionarSolicitudes.documentoSeleccionado}"
                                                    value="#{documentoAdicional}" />
                                            </p:commandLink>

                                        </p:column>

                                    </p:dataTable>
                                </h:panelGrid>
                            </p:tab>
                        </p:tabView>

                        <p:spacer height="10" width="8" />

                        <p:outputPanel id="btnsPanelAsociarDocumentacion" layout="block"
                                       style="text-align: right"
                                       rendered="#{ejecucion.banderaAsociarDocumentos}">

                            <p:commandButton value="Asociar documentos" icon="ui-icon-link" ajax="true" onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();"
                                             update=":msgsATN, solicitudTramitesTableDL, :solicitarDocumentacionForm, :solicitarDocumentacionForm:documentosAdicionales, solicitudTramitesTableDL, :nuevoTramiteSolForm, :detalleTramiteEjecutarForm, :detalleSolicitarPruebasForm"
                                             action="#{ejecucion.asociarDocumentacion}" />

                            <p:spacer height="10" width="8" />
                            <p:spacer height="10" width="8" />

                            <p:commandButton value="Desasociar documentos" icon="ui-icon-link"
                                             ajax="true" onstart="statusDialog2.show()" oncomplete="statusDialog2.hide()"
                                             update=":msgsATN, solicitudTramitesTableDL, :solicitarDocumentacionForm, :solicitarDocumentacionForm:documentosAdicionales, solicitudTramitesTableDL, :nuevoTramiteSolForm, :detalleTramiteEjecutarForm, :detalleSolicitarPruebasForm"
                                             action="#{ejecucion.desasociarDocumentacion}" />		


                            <p:spacer height="10" width="8" />
                            <p:spacer height="10" width="8" />

                            <p:commandButton value="Enviar a coordinador de conservación"
                                             icon="ui-icon-arrowreturnthick-1-e" ajax="false"
                                             action="#{ejecucion.enviarTramitesAsociadosAAprobar}"
                                             update=":msgsATN" />

                            <p:spacer height="10" width="8" />
                            <p:commandButton
                                action="#{ejecucion.adicionarDocumentoAdicional}"
                                id="nuevoDocumentoAdicional" 
                                widgetVar="documentosAdicionalesWV"
                                update=":documentacionForm, :detalleSolicitarPruebasForm:tabViewDocumentacion:tblDocumentosAd" value="Adicionar documento nuevo"
                                oncomplete="documentacionWV.show()" icon="ui-icon-document">
                                <f:setPropertyActionListener value="true"
                                                             target="#{ejecucion.banderaDocumentoAdicional}" />
                                <f:setPropertyActionListener value="false"
                                                             target="#{ejecucion.banderaEditandoDocumentoAdicional}" />
                            </p:commandButton>
                        </p:outputPanel>

                    </p:fieldset>

                </h:panelGrid>

                <p:separator style="width:925px;height:3px" />
                <p:spacer height="7" width="0" />
                <p:outputPanel layout="block" style="text-align:right">
                    <p:commandButton value="Cerrar" update="msgInfoFis"
                                     icon="ui-icon-circle-close" immediate="true"
                                     action="#{ejecucion.cerrar}" ajax="false" />
                    <p:spacer height="0" width="30" />
                </p:outputPanel>
                <p:spacer height="20" width="0" />

            </h:form>
        </h:panelGrid>

        <p:dialog header="Detalle del trámite" dynamic="true"
                  widgetVar="detalleTramiteEjecutarWV" modal="false" appendToBody="true"
                  resizable="true" position="center" height="480" width="960">
            <ui:include src="detalleTramiteEjecucion.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesTramite}" />
                <ui:param name="currentDetallePredioWV" value="detallePredioWV" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Detalle de la solicitud"
                  widgetVar="detalleSolicitudWV" modal="true" appendToBody="true"
                  dynamic="true" resizable="true" position="center" height="480"
                  width="960">
            <ui:include src="detalleSolicitudEjecutar.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesSolicitud}" />
                <ui:param name="selectedSolicitudParam"
                          value="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Adicionar trámite nuevo" dynamic="true"
                  widgetVar="adicionarTramiteTramiteWV" modal="true"
                  appendToBody="true" resizable="true" position="center" height="480" width="960">
            <ui:include src="adicionarTramiteNuevoEjecucion.xhtml">
                <ui:param name="managedBeanParam" value="#{ejecucion}" />
                <ui:param name="selectedTramiteTraParam"
                          value="#{ejecucion.tramiteTramiteSeleccionado}" />
                <ui:param name="selectedTramiteParam"
                          value="#{ejecucion.tramiteSeleccionado}" />
                <ui:param name="prediosTramiteParam"
                          value="#{ejecucion.prediosTramiteTemp}" />
                <ui:param name="updatesBotonGuardarTramiteParam"
                          value=":detalleSolicitarPruebasForm:solicitudTramitesTableD2, msgsTramite, :msgsATN, :detalleSolicitarPruebasForm:panelResumenTramitesNuevos" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Selección de datos a rectificar"
                  widgetVar="seleccionDatosRectificarWV" modal="true"
                  appendToBody="true"
                  resizable="true" position="center" width="600" height="400">
            <ui:include
                src="/tramite/radicacion/rectificacionOComplementacion.xhtml">
                <ui:param name="currentManagedBeanParam" value="#{ejecucion}" />
                <ui:param name="tramiteParam" value="#{ejecucion.tramiteTramiteSeleccionado}" />
            </ui:include>
        </p:dialog>

        <p:confirmDialog appendToBody="true"
                         message="¿Está seguro que desea adicionar/cancelar el trámite?"
                         width="200" header="Confirmación" severity="alert"
                         widgetVar="guardarConfirmationWV">
            <h:form>
                <p:commandButton value="Si" update=":detalleSolicitarPruebasForm,:nuevoTramiteSolForm"
                                 oncomplete="guardarConfirmationWV.hide()">
                    <f:setPropertyActionListener
                        target="#{ejecucion.banderaAsociarDocumentos}" value="true" />
                    <f:setPropertyActionListener 
                        target="#{ejecucion.banderaVerTramitePorAsociar}" value="true"/>
                    <f:setPropertyActionListener
                        target="#{ejecucion.tramiteSeleccionado.ordenEjecucion}"
                        value="#{fn:length(ejecucion.tramiteTramites)+1}" />
                </p:commandButton>
                <p:commandButton value="No" onclick="guardarConfirmationWV.hide();"
                                 type="button" />
            </h:form>
        </p:confirmDialog>

        <p:dialog header="Documentación trámite" widgetVar="documentacionWV"
                  resizable="true" width="1050" height="400" 
                  showEffect="fade" maximizable="true" hideEffect="explode"
                  modal="true" appendToBody="true">
            <ui:include src="nuevoDocumentoTramite.xhtml">
                <ui:param name="managedBeanParam" value="#{ejecucion}" />
                <ui:param name="selectedDocumentParam"
                          value="#{ejecucion.documentoSeleccionado}" />
                <ui:param name="banderaEdicionParam"
                          value="#{ejecucion.editandoDocumentacion}" />
                <ui:param name="updateFormParam"
                          value=":detalleSolicitarPruebasForm" />
                <ui:param name="listaAActualizar"
                          value=":detalleSolicitarPruebasForm:tabViewDocumentacion:tblDocumentosAd" />
            </ui:include>
        </p:dialog>

        <predio:consultaPrediosCC id="cpCC" thisCCId="cpCC"
                                  managedBean="#{consultaPredio}" thisWVName="consultaPrediosWV"
                                  ccIdsChain1=":psCC" ccIdsChain2=":dpCC"
                                  selectedPrediosWVName="prediosSeleccionadosDlgWV"
                                  mostrarBusquedaAvanzada="true" detallesPredioWV="detallePredioWV"
                                  additionMethod1="#{consultaPredio.adicionarPredio1}"
                                  idsComponentsToUpdate=":nuevoTramiteSolForm:btnsPredios"
                                  idsComponentsToUpdateRowSelect =":nuevoTramiteSolForm:btnsPredios"
                                  usePrediosButtonRendered="false" />

        <predio:prediosSeleccionadosCC id="psCC"
                                       managedBean="#{consultaPredio}"
                                       thisWVName="prediosSeleccionadosDlgWV" ccIdsChain="dpCC"
                                       detallesPredioWV="detallePredioWV"
                                       consultaPredioPredioWV="consultaPrediosWV"
                                       usePrediosMethod="#{ejecucion.adicionarPrediosAlTramite}"
                                       usePrediosButtonRendered="true" 
                                       idsComponentsToUpdateEliminar =":nuevoTramiteSolForm:btnsPredios"
                                       idsComponentsToUpdate=":nuevoTramiteSolForm:contenedorPredios"/>

        <predio:detallesPredioCC id="dpCC" thisWVName="detallePredioWV"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 mostrarFichaPredial="true" thisIdPlusColon=":dpCC" />

        <!-- Dialog usado para habilitar el tab de origen del predio -->
        <predio:detallesPredioCC id="dpCC2" thisWVName="detallePredioWV2"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 mostrarFichaPredial="true" thisIdPlusColon=":dpCC2" />

        <misc:docViewerWithCloseDecisionCC id="docViewer"
                                           confirmUpdate="msgInfoFis" confirmDialogWV="docViewerWV"
                                           ajaxBehavior="true"
                                           selectedDocumentAtt="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                           showDownloadButton="#{previsualizacionDocumento.documentoDwg}"
                                           fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"
                                           doctypeAtt="#{gestionarSolicitudes.tipoMimeDocTemporal}"
                                           headerLabel="Previsualización de documento" yesRendered="false"
                                           noLabel="Cerrar"
                                           noAction="#{gestionarSolicitudes.cerrarDocumentoTemporalPrev}" />


        <p:dialog header="Documentos Asociados"
                  widgetVar="solicitarDocumentacionWV" 
                  appendToBody="true" width="920" height="480">
            <ui:include src="../asignacion/solicitarDocumentacion.xhtml"
                        id="modalTramiteASolicitarDocumentos">
                <ui:param name="managedBeanParam" value="#{ejecucion}" />
                <ui:param name="selectedTramiteParam"
                          value="#{ejecucion.tramiteTramiteSeleccionado}" />
            </ui:include>
        </p:dialog>
    </ui:define>
</ui:composition>